Bug 846589 - kernel-3.5.0-2.fc17.x86_64 broke hibernate on Thinkpad T430 [workaround]
kernel-3.5.0-2.fc17.x86_64 broke hibernate on Thinkpad T430 [workaround]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 03:58 EDT by Tim Niemueller
Modified: 2013-07-31 19:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:58:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Niemueller 2012-08-08 03:58:13 EDT
Description of problem:
When resuming from hibernate, dracut (or whatever is involved) seems not to recognize or simply ignore the image on the swap partition. It boots as if I had not hibernated.

With kernel-3.4.6-2.fc17.x86_64 it works perfectly. Could it also that something went wrong on creating the initrd?

Hardware is a Thinkpad T430 laptop with Samsung SSD which hosts system and swap. There is an additional hard drive in the ultra bay. All disks are encrypted and in /etc/crypttab. For the root partition I have added the "discard" flag. It is not set for the swap partition.


Version-Release number of selected component (if applicable):
kernel-3.5.0-2.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Boot new kernel
2. hibernate
3. wakeup
  
Actual results:
Does a fresh boot

Expected results:
Should resume from swap partition.

Additional info:
kernel-3.4.6-2.fc17.x86_64 works
Comment 1 Tim Niemueller 2012-08-13 09:56:32 EDT
Reassigning to dracut, I'm not certain but I suspect where this should be handled. Maybe it's only grub2, please re-assign if it should go there.
Version: dracut-018-96.git20120724.fc17.noarch

I was able to fix the problem by adding "resume=/dev/mapper/luks-..." to the GRUB_CMDLINE_LINUX in /etc/default/grub, with the device being my encrypted swap device. Without this, I would always see the following in my boot logs:

swapon: /dev/mapper/luks-...: software suspend data detected. Rewriting the swap signature.

I have added the entry, die grub2-mkconfig and rebooted. Now resume is working again as expected. Looking around for a solution it turned out it might make a difference wether LVM is used or not. On my system, I'm NOT using LVM.

If someone could find a more permanent fix, e.g. that the tools handle this properly, this would be highly appreciated! If you need any further details please let me know.
Comment 2 Harald Hoyer 2012-08-17 08:57:54 EDT
(In reply to comment #1)
> Reassigning to dracut, I'm not certain but I suspect where this should be
> handled. Maybe it's only grub2, please re-assign if it should go there.
> Version: dracut-018-96.git20120724.fc17.noarch
> 
> I was able to fix the problem by adding "resume=/dev/mapper/luks-..." to the
> GRUB_CMDLINE_LINUX in /etc/default/grub, with the device being my encrypted
> swap device. Without this, I would always see the following in my boot logs:
> 
> swapon: /dev/mapper/luks-...: software suspend data detected. Rewriting the
> swap signature.
> 
> I have added the entry, die grub2-mkconfig and rebooted. Now resume is
> working again as expected. Looking around for a solution it turned out it
> might make a difference wether LVM is used or not. On my system, I'm NOT
> using LVM.
> 
> If someone could find a more permanent fix, e.g. that the tools handle this
> properly, this would be highly appreciated! If you need any further details
> please let me know.

if swap is encrypted, you either have to specify "resume=" or "rd.luks.uuid=..."

Either parameter should be set by anaconda, to let hibernate work.
Comment 3 Tim Niemueller 2012-08-17 11:40:42 EDT
Ah, that might point to the problem. There is a rd.luks.uuid. But I have added another one later for a hard drive that is in the bay slot of my laptop. So maybe it confuses the IDs? That's probably also why adding "resume=..." fixed it, because it solved the ambiguity.

Did I do something wrong in adding the additional parameter? Or should dracut try harder?
Comment 4 Harald Hoyer 2012-08-22 06:49:11 EDT
(In reply to comment #3)
> Ah, that might point to the problem. There is a rd.luks.uuid. But I have
> added another one later for a hard drive that is in the bay slot of my
> laptop. So maybe it confuses the IDs? That's probably also why adding
> "resume=..." fixed it, because it solved the ambiguity.
> 
> Did I do something wrong in adding the additional parameter? Or should
> dracut try harder?

if you have the correct rd.luks.uuid for the swap, then it should work without "resume"
Comment 5 Tim Niemueller 2012-08-22 07:51:59 EDT
(In reply to comment #4)
> if you have the correct rd.luks.uuid for the swap, then it should work
> without "resume"

Nope, does not work. The swap uuid was generated by anaconda and I did not modify it. It's the one with the "luks-" prefix and it is listed *after* the one for the drive in the bay. Resume uses it with the "/dev/mapper" prefix.
Comment 6 Fedora End Of Life 2013-07-03 18:14:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 19:59:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.